.video-wrapper {
  position: relative;
  height: 100%;
}

.video-wrapper .video-popup-button {
  width: 100%;
}

.video-wrapper .video-cover {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.video-wrapper .video-play {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: clamp(53px, 10.5%, 86px);
  aspect-ratio: 1;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 2px solid #fff;
  border-radius: 50%;
  background-color: #33333399;
  cursor: pointer;
}
.video-wrapper .video-play i {
  font-size: clamp(19px, 3vw, 30px);
  line-height: 1;
  color: #fff;
  margin-left: 10%;
}

/* 悬停控制器样式 */
.video-wrapper video.hover-controls-video::-webkit-media-controls-panel,
.video-wrapper video.hover-controls-video::-moz-media-controls {
  opacity: 0;
  transition: opacity 0.3s ease;
}

.video-wrapper video.hover-controls-video:hover::-webkit-media-controls-panel,
.video-wrapper video.hover-controls-video:hover::-moz-media-controls {
  opacity: 1;
}
